View Issue Details

IDProjectCategoryView StatusLast Update
0028729LazarusLCLpublic2015-09-29 03:29
ReporterErik GrohnwaldtAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSWindowsOS Version10
Product Version1.5 (SVN)Product Build 
Target Version1.4.4Fixed in Version1.4.3 (SVN) 
Summary0028729: TSynEditMarkup.Enabled property do not update the TSynEdit
DescriptionThe Property only updates the TSynEdit-window after a repaint.
Additional InformationThe procedure DoEnabledChanged is not implemented in syneditmarkup.pp.

TagsNo tags attached.
Fixed in Revision49891
LazTarget1.4.4
Widgetset
Attached Files
  • syneditmarkup.diff (460 bytes)
    Index: components/synedit/syneditmarkup.pp
    ===================================================================
    --- components/synedit/syneditmarkup.pp	(revision 49873)
    +++ components/synedit/syneditmarkup.pp	(working copy)
    @@ -284,6 +284,10 @@
     
     procedure TSynEditMarkup.DoEnabledChanged(Sender: TObject);
     begin
    +  if Assigned(FSynEdit) then
    +  begin
    +     FSynEdit.RePaint;
    +  end;
     end;
     
     procedure TSynEditMarkup.SetTopLine(const AValue : Integer);
    
    syneditmarkup.diff (460 bytes)

Activities

Erik Grohnwaldt

2015-09-25 20:12

reporter  

syneditmarkup.diff (460 bytes)
Index: components/synedit/syneditmarkup.pp
===================================================================
--- components/synedit/syneditmarkup.pp	(revision 49873)
+++ components/synedit/syneditmarkup.pp	(working copy)
@@ -284,6 +284,10 @@
 
 procedure TSynEditMarkup.DoEnabledChanged(Sender: TObject);
 begin
+  if Assigned(FSynEdit) then
+  begin
+     FSynEdit.RePaint;
+  end;
 end;
 
 procedure TSynEditMarkup.SetTopLine(const AValue : Integer);
syneditmarkup.diff (460 bytes)

Martin Friebe

2015-09-29 03:29

manager   ~0086151

Fixed in a different way.

Most Markup only invalidate small parts of the editor (the area that actually contains highlight. So each markup needs to have its own method for enable changed.

Issue History

Date Modified Username Field Change
2015-09-25 20:12 Erik Grohnwaldt New Issue
2015-09-25 20:12 Erik Grohnwaldt File Added: syneditmarkup.diff
2015-09-26 01:00 Martin Friebe Assigned To => Martin Friebe
2015-09-26 01:00 Martin Friebe Status new => assigned
2015-09-29 03:29 Martin Friebe Fixed in Revision => 49891
2015-09-29 03:29 Martin Friebe LazTarget => 1.4.4
2015-09-29 03:29 Martin Friebe Widgetset Win32/Win64 =>
2015-09-29 03:29 Martin Friebe Note Added: 0086151
2015-09-29 03:29 Martin Friebe Status assigned => resolved
2015-09-29 03:29 Martin Friebe Fixed in Version => 1.4.3 (SVN)
2015-09-29 03:29 Martin Friebe Resolution open => fixed
2015-09-29 03:29 Martin Friebe Target Version => 1.4.4